package de.cscherr.mcpht.config;
import de.cscherr.mcpht.McphtClient;
import me.shedaniel.clothconfig2.api.ConfigBuilder;
import net.minecraft.client.MinecraftClient;
import net.minecraft.client.font.MultilineText;
import net.minecraft.client.gui.screen.Screen;
import net.minecraft.client.gui.tooltip.Tooltip;
import net.minecraft.client.gui.widget.ButtonWidget;
import net.minecraft.client.util.math.MatrixStack;
import net.minecraft.text.Text;

public class OptionsScreen extends Screen {
    public ButtonWidget dummyButton;
    private final Screen parent;
    protected OptionsScreen(Screen parent) {
        super(Text.literal("MCPHT Options"));
        this.parent = parent;
    }
    @Override
    protected void init() {
        dummyButton = ButtonWidget.builder(Text.literal("Dummy"), button -> {
            McphtClient.LOGGER.info("Dummy click");
        })
                .dimensions(width / 2 - 205, 20, 200, 20)
                .tooltip(Tooltip.of(Text.literal("Tooltip of button1")))
                .build();
        addDrawableChild(dummyButton);
    }
    @Override
    public void close() {
        client.setScreen(parent);
    }
    @Override
    public void render(MatrixStack matrices, int mouseX, int mouseY, float delta) {
        super.render(matrices, mouseX, mouseY, delta);
        final MultilineText multilineText = MultilineText.create(textRenderer,
                Text.literal("This is Text\nother line"), width - 20);
        multilineText.drawWithShadow(matrices, 10, height / 2, 16, 0xffffff);
    }
}
